ICU 78.3 78.3

Public Member Functions | Friends
U_HEADER_ONLY_NAMESPACE::USetElementIterator Class Reference

Iterator returned by USetElements. More...

`#include <uset.h>`

## Public Member Functions
| USetElementIterator (const USetElementIterator &other)=default
bool | operator== (const USetElementIterator &other) const
bool | operator!= (const USetElementIterator &other) const
std::u16string | operator* () const
USetElementIterator & | operator++ ()
| Pre-increment. More...
USetElementIterator | operator++ (int)
| Post-increment. More...

## Friends
class | USetElements

## Detailed Description

Iterator returned by USetElements.

Draft:
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1744 of file uset.h.

## Constructor & Destructor Documentation

## ◆ USetElementIterator()

U_HEADER_ONLY_NAMESPACE::USetElementIterator::USetElementIterator | ( | const USetElementIterator & | other | ) |
| default

Draft:
  This API may be changed in the future versions and was introduced in ICU 77

## Member Function Documentation

## ◆ operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator!= | ( | const USetElementIterator & | other | ) | const
| inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1759 of file uset.h.

References operator==().

## ◆ operator*()

std::u16string U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator* | ( |  | ) | const
| inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1762 of file uset.h.

References U16_LEAD, U16_TRAIL, and uset_getString().

## ◆ operator++() [1/2]

USetElementIterator& U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator++ | ( |  | ) |
| inline

Pre-increment.

Draft:
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1781 of file uset.h.

References U_SENTINEL, U_SUCCESS, U_ZERO_ERROR, and uset_getItem().

Referenced by operator++().

## ◆ operator++() [2/2]

USetElementIterator U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator++ | ( | int |  | ) |
| inline

Post-increment.

Draft:
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1806 of file uset.h.

References operator++().

## ◆ operator==()

bool U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator== | ( | const USetElementIterator & | other | ) | const
| inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1750 of file uset.h.

Referenced by operator!=().

The documentation for this class was generated from the following file:

- common/unicode/uset.h